body {
  height: 100%;
  width: 100vw;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  font-family: "Audiowide", sans-serif;
  font-weight: 400;
  font-style: normal;
  background-size: 100% 100%;
  background-position: 0px 0px,0px 0px,0px 0px,0px 0px,0px 0px;
  background-image: radial-gradient(49% 81% at 45% 47%, #FFFFFF45 0%, #073AFF00 100%),radial-gradient(113% 91% at 17% -2%, #FD83FFFF 1%, #FF000000 99%),radial-gradient(142% 91% at 83% 7%, #FFD38DFF 1%, #FFFFFF94 99%),radial-gradient(142% 91% at -6% 74%, #FF83DEFF 1%, #FF000000 99%),radial-gradient(142% 91% at 111% 84%, #FFFFFFFF 0%, #F700FFFF 100%);
}

p {
  font-size: 0.9rem;
  line-height: 140%;
  color: var(--text-color);
}

a {
  font-size: 0.9rem;
  line-height: 140%;
  color: var(--secondary-color);
  text-decoration: none;
}

/* Switch frame */

#switch {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

#switch-frame {
  z-index: -1;
}

#switch-screen {
  position: absolute;
  top: 45px;
  width: 500px;
  height: 288px;
  background-color: #F5F5F5;
  overflow: hidden;
}

/* Switch menu */

#switch-menu {
  display: flex;
  flex-direction: column;
  width: 500px;
}

.miniature {
  border: 3px solid white;
  border-radius: 22px;
  background-color: var(--secondary-light-color);
}

#switch-settings {
  height: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#switch-settings > .miniature {
  margin: 8px 0 0 8px;
}

#switch-settings > div {
  display: flex;
  gap: 8px;
  margin-right: 8px;
}

#switch-settings > div > p {
  color: black;
}

#switch-settings .clock {
  display: flex;
}

#switch-settings .clock > .clock-separator {
  animation: blinking 1s step-start infinite;
}

#switch-settings .clock > p {
  color: black;
  font-family: "Audiowide", sans-serif;
  font-weight: 400;
  font-style: normal;
}

/* Switch games */

#switch-games {
  position: relative;
  height: 127px;
  display: flex;
  max-width: 448px;
  align-self: center;
}

#switch-games > .fade-out {
  position: absolute;
  background: linear-gradient(90deg, #F5F5F5 0%, #00000000 60%);
  width: 32px;
  height: 127px;
}

#switch-games > .fade-out:last-child {
  right: 0;
  rotate: 180deg;
}

#switch-games > div {
  height: 127px;
  display: flex;
  gap: 8px;
  align-items: end;
  padding: 4px 16px;
  max-width: 448px;
  overflow: auto;
}

div.game {
  border: 3px solid white;
  height: 100px;
  width: 100px;
}

a.game, button.game {
  color: var(--primary-color);
  text-decoration: none;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

a.game > img {
  border: 3px solid white;
  padding: 10px;
  background-color: var(--secondary-light-color);
  float: inline-end;
}

button.game > img {
  border: 3px solid white;
  padding: 14px;
  background-color: var(--secondary-light-color);
  float: inline-end;
}

a.game > div, button.game > div {
  display: flex;
  align-items: center;
  gap: 4px;
  opacity: 0;
  margin-bottom: 4px;
}

a.game > div > p, button.game > div > p {
  max-width: 80px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin: 0;
  color: var(--primary-color);
  font-family: "Audiowide", sans-serif;
  font-weight: 400;
  font-style: normal;
}

a.game:hover > img, button.game:hover > img {
  box-shadow: 0 0 4px var(--primary-color);
  transition: 200ms ease-in all;
}

a.game:hover > div, button.game:hover > div {
  opacity: 1;
  transition: 200ms ease-in all;
}

/* Switch navigation */

#switch-navigation {
  height: 65px;
  display: flex;
  justify-content: center;
  gap: 4px;
  margin-top: 8px;
}

#switch-navigation > a {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--primary-color);
  text-decoration: none;
  width: 48px;
}

#switch-navigation > a > p {
  margin: 0;
  opacity: 0;
  color: var(--primary-color);
  font-family: "Audiowide", sans-serif;
  font-weight: 400;
  font-style: normal;
}

#switch-navigation > a:hover > p {
  margin: 0;
  opacity: 1;
  transition: 200ms ease-in all;
}

/* Switch footer */

#switch-footer {
  height: 35px;
  padding: 0 16px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: start;
}

#switch-footer > div {
  width: 100%;
  border-top: 1px #888888 solid;
}

#switch-footer > img {
  margin-bottom: 8px;
}

/* Decoration */

#pikmin-title {
  position: absolute;
  top: -130px;
}

#pikmin-chat {
  position: absolute;
  bottom: -40px;
  left: 12px;
}

#speech-bubble {
  bottom: 110px;
  left: 120px;
}

#pikmin-troop {
  position: absolute;
  bottom: -10px;
  right: 24px;
}

/* Styles for Fortune Cookie */

.modal {
  width: 100vw;
  height: 100vh;
  background-color: #00000080;
  position: absolute;
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 10;
  top: 0;
  left: 0;
  color: var(--text-color);
}

.modal-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
  border-radius: 8px;
  width: 250px;
  height: 150px;
  background-color: #fafafa;
  text-align: center;
}

.modal-close {
  cursor: pointer;
  text-decoration: underline;
}


.speech-bubble {
  position: absolute;
  z-index: 10;
}

.speech-bubble > div {
  position: relative;
  width: 250px;
  height: 115px;
  display: flex;
  justify-content: center;
}

.speech-bubble > div > img {
  position: absolute;
}

.speech-bubble > div > p {
  position: absolute;
  top: 10px;
  width: 220px;
}

#latest-change-container {
  position: absolute;
  padding: 8px;
  z-index: -1;
  top: 16px;
  right: 16px;
  background-color: var(--transparent-white-color);
  border: 1px solid var(--text-color);
  border-radius: 16px;
  max-width: 250px;
}

#latest-change-container > p {
  font-size: 12px;
  margin: 2px;
}
